import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yyaaa1/2a71bdf8de2d1fb6bcf02ee19e2d7322/raw/198339840ce4b14d29c4de2768dd9782128ba756/crime_aggregate.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.violent_crime = +d.violent_crime;
      d.homs_sum = +d.homs_sum;
      d.rape_sum = +d.rape_sum;
      d.rob_sum = +d.rob_sum;
      d.total_population = +d.total_population
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};